{ config, lib, ... }:
with lib;
{
  config = mkIf config.modules.desktop.sway.enable {
    programs.fuzzel = {
      settings = {
        main = {
          font = "Fira Code Nerd Font Mono:size=12";
          icon-theme = "Papirus-Dark";
          width = 60;
          show-actions = "yes";
          launch-prefix = "swaymsg exec --";
        };
        border = {
          radius = 0;
          width = 1;
        };
        colors = {
          border = "f268b3ff";
          background = "121212ff";
          text = "ccccccff";
          selection = "323232ff";
          selection-text = "ccccccff";
          match = "f268b3ff";
        };
      };
    };
  };    
}
